- Development Integration
- /
- SDK
- /
- Java
- /
User authentication module
- /
User-related resources
- /
- Get applications with access permissions
¶ Get applications with access rights
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Get applications with access rights
¶ Method Name
AuthenticationClient.getAccessibleApps
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|
¶ Sample Code
package test.authentication;
import cn.authing.sdk.java.client.AuthenticationClient;
import cn.authing.sdk.java.dto.GetAccessibleAppsRespDto;
import cn.authing.sdk.java.model.AuthenticationClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class GetAccessibleAppsTest {
// Need to be replaced with your GenAuth App ID
private static final String APP_ID = "AUTHING_APP_ID";
// Need to be replaced with your GenAuth App Secret
private static final String APP_SECRET = "AUTHING_APP_SECRET";
// Need to be replaced with your GenAuth App Host
private static final String APP_HOST = "AUTHING_APP_HOST";
// Need to be replaced with your GenAuth Access Token
private static final String ACCESS_TOKEN = "AUTHING_ACCESS_TOKEN";
public static void main(String[] args) throws Throwable {
AuthenticationClientOptions clientOptions = new AuthenticationClientOptions();
clientOptions.setAppId(APP_ID);
clientOptions.setAppSecret(APP_SECRET);
clientOptions.setAppHost(APP_HOST);
clientOptions.setAccessToken(ACCESS_TOKEN);
AuthenticationClient client = new AuthenticationClient(clientOptions);
GetAccessibleAppsRespDto response = client.getAccessibleApps();
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: GetAccessibleAppsRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | Response Data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"appId": "xxx",
"appName": "Sample Application",
"appLoginUrl": "https://example.genauth.ai/login",
"appLogo": "https://files.authing.co/authing-console/default-app-logo.png",
"active": true
}
}
¶ Data Structure
¶ AccessibleAppsDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| appId | string | Yes | Application ID | xxx |
| appName | string | Yes | Application Name | Sample Application |
| appLoginUrl | string | Yes | Application login address | https://example.genauth.ai/login |
| appLogo | string | Yes | Application Logo | https://files.authing.co/authing-console/default-app-logo.png |
| active | boolean | Yes | Is the current login status | true |
